﻿using System;
using System.Reflection;
using System.Windows.Forms;

namespace TestProject
{
    /// <summary>
    /// 컨트롤 헬퍼
    /// </summary>
    public static class ControlHelper
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 더블 버퍼링 설정하기 - SetDoubleBuffering(contorl, enabled)

        /// <summary>
        /// 더블 버퍼링 설정하기
        /// </summary>
        /// <param name="contorl">컨트롤</param>
        /// <param name="enabled">활서오하 여부</param>
        public static void SetDoubleBuffering(Control contorl, bool enabled)
        {
            Type controlType = contorl.GetType();

            PropertyInfo propertyInfo = controlType.GetProperty("DoubleBuffered", BindingFlags.Instance | BindingFlags.NonPublic);

            propertyInfo.SetValue(contorl, enabled, null);
        }

        #endregion
    } 
}